import { CommonModule } from '@angular/common';
import { Component, OnInit } from '@angular/core';
import { CountriesService } from '../countries.service';

@Component({
  selector: 'app-countries',
  standalone: true,
  imports: [CommonModule],
  templateUrl: './countries.component.html',
  styleUrl: './countries.component.css'
})
export class CountriesComponent implements OnInit{

  public result:any; //250 Countries Data we have

  constructor(private service:CountriesService){}

  //subscribe ==> Observable Interface and it willl reply to our component when response is ready
  ngOnInit(): void {

    this.service.getCountriesData().subscribe({
      next:(posRes:any) => {
        console.log("Rest API Invoked and the response is " , posRes);
        this.result=posRes;
      },
      error:(e) => {
        console.log("Error in Communicating with Back End API",e);
      },
      complete(){
        console.log("Completed the REST CALL Communication");
      }





    })
    
  }

}
